Issue 117641 - chart2/qa/unoapi fails in sch.ChXDataPoint::com::sun::star::chart::ChartDataPointProperties due to change to jpeg/prj/d.lst
Summary: chart2/qa/unoapi fails in sch.ChXDataPoint::com::sun::star::chart::ChartDataP...
Status: CLOSED FIXED
Alias: None
Product: Build Tools
Classification: Code
Component: external prerequisites (show other issues)
Version: 4.0.0-dev
Hardware: All All
: P1 (highest) Normal (vote)
Target Milestone: ---
Assignee: ooo
QA Contact: issues@external
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-04-01 09:41 UTC by Stephan Bergmann
Modified: 2013-02-21 23:22 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description Stephan Bergmann 2011-04-01 09:41:12 UTC
At least on DEV300_m105 based CWS sb140, built on Linux and Solaris machines that have a system /usr/include/jpeglib.h with JPEG_LIB_VERSION != 80 (e.g., on HH Solaris 11 machine x4240-so2 with /usr/include/jpeglib.h with JPEG_LIB_VERSION 62), executing subsequenttests fails in chart2/qa/unoapi with

> checking: [sch.ChXDataPoint::com::sun::star::chart::ChartDataPointProperties] is iface: [com.sun.star.beans.XPropertySet] testcode: [ifc.chart._ChartDataPointProperties]
> LOG> Setting Diagram type to LineDiagram
> LOG> Execute: DataCaption
> LOG> try to set:
> LOG> old = 0
> LOG> new = 5
> LOG> Property 'DataCaption' OK
> LOG> result = 5
> Method DataCaption finished with state OK
> LOG> DataCaption: PASSED.OK
> 
> LOG> Execute: SymbolType
> LOG> try to set:
> LOG> old = 1
> LOG> new = 6
> LOG> Property 'SymbolType' OK
> LOG> result = 6
> Method SymbolType finished with state OK
> LOG> SymbolType: PASSED.OK
> 
> LOG> Execute: SymbolBitmapURL
> docpth:/net/so-cwsserv02/export/cws/sb140/DEV300/ooo/chart2/qa/unoapi/testdocuments
> LOG> try to set:
> LOG> old = 
> LOG> new = file:///net/so-cwsserv02/export/cws/sb140/DEV300/ooo/chart2/qa/unoapi/testdocuments/space-metal.jpg
> Error: Invalid URL for Symbol Bitmap From File /net/so-cwsserv02/export/cws/sb140/DEV300/ooo/chart2/source/controller/chartapiwrapper/WrappedSymbolProperties.cxx at Line 414
> LOG> Value for 'SymbolBitmapURL' hasn't changed as expected
> LOG> result = 
> Method SymbolBitmapURL finished with state FAILED
> LOG> SymbolBitmapURL: PASSED.FAILED
> ***** State for sch.ChXDataPoint::com::sun::star::chart::ChartDataPointProperties ******
> [sch.ChXDataPoint::com::sun::star::chart::ChartDataPointProperties::SymbolBitmapURL] is testcode: [SymbolBitmapURL] - PASSED.FAILED

> 
> Whole service: PASSED.FAILED

Loading the jpg file fails, my_output_message at <http://hg.services.openoffice.org/DEV300/file/d4ec13cf7675/svtools/source/filter/jpeg/jpegc.c#l59> fills buffer with "Wrong JPEG library version: library is 80, caller expects 62" (but unfortunately does not output it to stdout/stderr).

The problem is that <http://hg.services.openoffice.org/DEV300/rev/c1d800303b1a> (CWS rsvglibs) delivers jpeglib.h to %_DEST%\inc%_EXT%\external\jpeg\jpeglib.h instead of %_DEST%\inc%_EXT%\external\jpeglib.h, so that $$(INCLUDE) at <http://hg.services.openoffice.org/DEV300/file/d4ec13cf7675/svtools/Library_svt.mk#l37> no longer finds OOo's jpeglib.h but instead the one from the system.  (As a proof of concept,

> diff -r 1b19f6a8264a svtools/Library_svt.mk
> --- a/svtools/Library_svt.mk    Thu Mar 31 15:34:49 2011 +0000
> +++ b/svtools/Library_svt.mk    Fri Apr 01 09:40:01 2011 +0000
> @@ -34,6 +34,7 @@
>  $(eval $(call gb_Library_set_componentfile,svt,svtools/util/svt))
> 
>  $(eval $(call gb_Library_set_include,svt,\
> +       -I$(OUTDIR)/inc/external/jpeg \
>         $$(INCLUDE) \
>         -I$(WORKDIR)/inc/svtools \
>         -I$(WORKDIR)/inc/ \

fixes the problem for the given build.)
Comment 1 Stephan Bergmann 2011-04-01 10:51:18 UTC
(unrelated to CWS sb140; plain DEV300_m105 fails too)
Comment 2 ooo 2011-04-07 07:13:26 UTC
has been fixed on DEV300_m106 according to SB's suggestion.
Comment 3 Oliver-Rainer Wittmann 2012-06-13 12:23:14 UTC
getting rid of value "enhancement" for field "severity".
For enhancement the field "issue type" shall be used.